Subject: bug#27507: [PATCH] Make `cycle-spacing' allow 'negative-zero in place of an integer

From: [email-masked]
Date: Thu, 29 Jun 2017 21:29:02 -0400

Mekeor Melire <[email-masked]> writes:

> * lisp/simple.el (cycle-spacing): beside accepting an integer as first
> argument N, also allow N to be 'negative-zero. This allows to delete
> all spaces including newlines with (cycle-spacing 'negative-zero).

This behaviour can't be used interactively right?  If you want a
function to delete all space including newlines, I think it's better to
add one instead of adding yet another mode to cycle-spacing which won't
even be used by interactive callers.

That is, instead of (cycle-spacing 'negative-zero) something like
(delete-whitespace).

> +  (letrec

You only need let* here, I think.